import { r as registerInstance, g as getElement, j as jsx, H as Host } from './index-C7YNCRgy.js';

const boxCss = () => ``;

const Box = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    get host() { return getElement(this); }
    // MARK: Props
    gap = "m";
    direction = "horizontal";
    // MARK: Lifecycle
    // componentDidLoad() {
    //   adoptSharedStyles(this.el);
    // }
    // MARK: Render
    render() {
        const { gap } = this;
        return (jsx(Host, { gap: gap, part: "root", children: jsx("div", { class: "dds-box", children: jsx("slot", {}, 'bf93ed12a1a568b1a8beec52794f4d721058b35f') }, 'df6887c311cc74a3f07daed834b0bb585cba61b2') }, 'c183565853d4a2dd28c0fa5ce3a37155f0516bc1'));
    }
};
Box.style = boxCss();

export { Box as dds_box };
